<!--导航组件-->
<template>
  <div class="app-sidebar">
    <div class="box">
      <el-menu
        router
        unique-opened
        :default-active="$route.path"
        class="el-menu-vertical-demo"
        @select="handleOpen"
        @close="handleClose"
        background-color="#545c64"
        text-color="#fff"
        active-text-color="#ffd04b"
      >
        <el-submenu index="1">
          <template slot="title">
            <i class="el-icon-location"></i>
            <span>客户管理</span>
          </template>
          <el-menu-item index="/client/salesLead">销售线索</el-menu-item>
          <el-menu-item index="/client/clientManage">客户管理</el-menu-item>
          <el-menu-item index="/client/contacts">联系人</el-menu-item>
          <el-menu-item index="/client/followupRecords">跟进记录</el-menu-item>
        </el-submenu>
        <el-submenu index="2">
          <template slot="title">
            <i class="el-icon-location"></i>
            <span>销售管理</span>
          </template>
          <el-menu-item index="/sales/salesOpportunity">销售机会</el-menu-item>
          <el-menu-item index="/sales/quotation">报价单</el-menu-item>
          <el-menu-item index="/sales/masterOrder">销售总单</el-menu-item>
          <el-menu-item index="/sales/subOrder">销售子单</el-menu-item>
          <el-menu-item index="/sales/salesDetails">销售明细单</el-menu-item>
          <el-menu-item index="/sales/salesReturn">销售退货单</el-menu-item>
          <el-menu-item index="/sales/refundForm">销售退款单</el-menu-item>
          <el-menu-item index="/sales/contractManage">合同管理</el-menu-item>
          <el-menu-item index="/sales/generatePlan">生成计划</el-menu-item>
        </el-submenu>
        <el-submenu index="3">
          <template slot="title">
            <i class="el-icon-location"></i>
            <span>服务管理</span>
          </template>
          <el-menu-item index="/service/serviceContract">服务合同</el-menu-item>
          <el-menu-item index="/service/orderManage">工单管理</el-menu-item>
          <el-menu-item index="/service/serviceFollowup">服务回访单</el-menu-item>
          <el-menu-item index="/service/serviceFeeManage">服务收费管理</el-menu-item>
        </el-submenu>
        <el-submenu index="4">
          <template slot="title">
            <i class="el-icon-location"></i>
            <span>后台配置</span>
          </template>
          <el-menu-item index="/backgroundConfig/memberManage">成员管理</el-menu-item>
          <el-menu-item index="/backgroundConfig/rolePermssion">角色权限</el-menu-item>
        </el-submenu>
      </el-menu>
    </div>
  </div>
</template>

<script>
export default {
  name: "AppSidebar",
  props: {},
  data() {
    return {}
  },
  watch: {
    // $route: {
    //   handler: "initNavMenu",
    //   immediate: true
    // }
  },
  created() {
    this.initNavMenu()
  },
  methods: {
    // 监听路由
    initNavMenu() {
      // console.log(this.$route.name)
    },
    handleOpen(index) {
      console.log(index)
    },
    handleClose() {}
  }
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style lang="scss" scoped>
@import "./index.scss";
</style>
